<?php
  @session_start();
  $vg_empresa=$_SESSION["empresa"];
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	

include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
						where login='".$vg_login."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada)){ $vg_nombre=$datos[1];  $vg_perfil=$datos[2];	} 	
$modulo="ParametrosG_tipocaja";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);
if($valpermiso[0]==1){}
else
{
	echo "<script>";
	echo "window.location='../erroracceso.php?formulario=ParametrosG_tipocaja';";
	echo "</script>";
}
include "../parametros.php"; 

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">

<title><?php echo $nombreprograma; ?></title>
<link rel="icon" type="image/png" href="../icono.ico"/>
<link href="../general.css" rel="stylesheet" type="text/css">
<script src="../js/jquery.min.js"></script>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>

<link rel="stylesheet" href="../toastn/style.css">
<script src="../toastn/cute-alert.js"></script>


 <script language="javascript">
	function mascara(o,f){  
		v_obj=o;  
		v_fun=f;  
		setTimeout("execmascara()",1);  
	}  
	function execmascara(){   
		v_obj.value=v_fun(v_obj.value);
	}  
	function cpf(v){     
		v=v.replace(/([^0-9\.]+)/g,''); 
		v=v.replace(/^[\.]/,''); 
		v=v.replace(/[\.][\.]/g,''); 
		v=v.replace(/\.(\d)(\d)(\d)/g,'.$1$2'); 
		v=v.replace(/\.(\d{1,2})\./g,'.$1'); 
		v = v.toString().split('').reverse().join('').replace(/(\d{3})/g,'$1,');    
		v = v.split('').reverse().join('').replace(/^[\,]/,''); 
		return v;  
	}  
	function calcular(){
		var varMonto;
		var varIva;
		var varSubTotal;
		
		varMonto = document.getElementById("importe").value;	
		varMonto = varMonto.replace(/[\,]/g,''); 
		
		varIva = parseFloat(varMonto).toFixed(2) * 0.15;
		document.getElementById("iva").value = addCommas(parseFloat(varIva).toFixed(2)) ;
		
		varSubTotal = parseFloat(varMonto) + parseFloat(varIva);
		document.getElementById("subtotal").value = addCommas(parseFloat(varSubTotal).toFixed(2)) ;

	}
	
	function addCommas(nStr){
		nStr += '';
		x = nStr.split('.');
		x1 = x[0];
		x2 = x.length > 1 ? '.' + x[1] : '';
		var rgx = /(\d+)(\d{3})/;
		while (rgx.test(x1)) {
			x1 = x1.replace(rgx, '$1' + ',' + '$2');
		}
		return x1 + x2;
	}
	
</script>


</head>
<body>
<?php
  $horasistema=date("H:i:s");
$fechasis=date("Y-m-d");
$fecha=date("Y-m-d");

include "../conexion.php";
$empresa="";$aprobador1="";$aprobador2="";$aprobador3="";
$usuario1="";	$usuario2="";	$usuario3="";
$email1="";	$email2="";	$email3="";
$tesoreria1="";	$tesoreria2="";	$tesoreria3="";$c="";$nombre="";
$monto=""; $consecutivo=""; $responsable=""; $cc="";$cuenta="";$tipocaja="";
$comprobante="";$tipodocumento="";$valoritem="";$locacion=0;
	

$rs_tipodocumento=mysqli_query($conexion,"SELECT id,nombre,numero FROM par_tipodocumentos where empresa='".$vg_empresa."' and coddoc in ('leg','cm') order by nombre asc");
$rs_locacion=mysqli_query($conexion,"SELECT id,nombre FROM par_locacion where empresa='".$vg_empresa."'  order by nombre asc");
$rs_area=mysqli_query($conexion,"SELECT id,nombre FROM par_area where empresa='".$vg_empresa."' and estado='1'  order by nombre asc");


if($_REQUEST["id"]>=1)
{
  $id=$_REQUEST["id"];
  $sql_datosrs=mysqli_query($conexion,"SELECT 	aprobador1,aprobador2,aprobador3,
													usuarioa1,usuarioa2,usuarioa3,
													usuarioa1_email,usuarioa2_email,usuarioa3_email,
													notificar1,notificar2,notificar3,empresa,nombre,monto,consecutivo,responsable,cc,tipocaja,cuenta,
													comprobante,tipodocumento,valoritem,locacion,area
  									   from tipo_caja
							where id='".$id."' and empresa='".$vg_empresa."'");
			  while($datos= mysqli_fetch_row($sql_datosrs))
				{ 
				 $aprobador1=$datos[0];
				 $aprobador2=$datos[1];
				 $aprobador3=$datos[2];
				 $usuario1=$datos[3];
				 $usuario2=$datos[4];
				 $usuario3=$datos[5];
				 $email1=$datos[6];
				 $email2=$datos[7];
				 $email3=$datos[8];
				 $tesoreria1=$datos[9];
				 $tesoreria2=$datos[10];
				 $tesoreria3=$datos[11];
				 $empresa=$datos[12];
				 $nombre=$datos[13];
				 $monto=number_format($datos[14],2,'.',','); 
				 $consecutivo=$datos[15];
				 $responsable=$datos[16];
				 $cc=$datos[17];
			 	 $tipocaja=$datos[18];
				 $cuenta=$datos[19];					 
				 $comprobante=$datos[20];					 
				 $tipodocumento=$datos[21];					 
				 $valoritem=number_format($datos[22],2,'.',','); 
				 $locacion=$datos[23];	
				 $area=$datos[24];	
				}    
}


if(isset($_REQUEST['oculto']))
  { 
	$id=$_REQUEST['id'];						
	//$empresa=$_REQUEST['empresa'];
	$nombre=$_REQUEST['nombre'];
	$aprobador1=$_REQUEST['aprobador1'];
	$aprobador2=$_REQUEST['aprobador2'];
	$aprobador3=$_REQUEST['aprobador3'];
	
	$email1=$_REQUEST['email1'];
	$email2=$_REQUEST['email2'];
	$email3=$_REQUEST['email3'];

	$usuario1=$_REQUEST['usuario1'];
	$usuario2=$_REQUEST['usuario2'];
	$usuario3=$_REQUEST['usuario3'];

	$tesoreria1=$_REQUEST['tesoreria1'];
	$tesoreria2=$_REQUEST['tesoreria2'];
	$tesoreria3=$_REQUEST['tesoreria3'];
	
	$monto=str_replace(',','',$_REQUEST['monto']);
	//$consecutivo=$_REQUEST['consecutivo'];
	$responsable=$_REQUEST['responsable'];
	$cc=$_REQUEST['cc'];
	$tipocaja=$_REQUEST['tipocaja'];
	$cuenta=$_REQUEST['cuenta'];
	//$comprobante=$_REQUEST['comprobante'];
 	//$tipodocumento=$_REQUEST['tipodocumento'];
	$locacion=$_REQUEST['locacion'];
	$area=$_REQUEST['area'];
	$tipodocumento=1;

	$valoritem=str_replace(',','',$_REQUEST['valoritem']);
	
	if($_REQUEST["oguardar"]==1)
	 {
		 if($aprobador1<>"" && $usuario1<>"" && $nombre<>"" && $locacion<>0 && $area<>0) 
		  {
				
				 $sql_insert=mysqli_query($conexion,"insert into tipo_caja (empresa,
				 									aprobador1,aprobador2,aprobador3,
													usuarioa1,usuarioa2,usuarioa3,
													usuarioa1_email,usuarioa2_email,usuarioa3_email,
													notificar1,notificar2,notificar3,nombre,monto,responsable,cc,tipocaja,cuenta,
													tipodocumento,valoritem,locacion,area)
										  values('".$vg_empresa."',
										  		 '".$aprobador1."','".$aprobador2."','".$aprobador3."',
												 '".$usuario1."','".$usuario2."','".$usuario3."',
												 '".$email1."','".$email2."','".$email3."',
												 '".$tesoreria1."','".$tesoreria2."','".$tesoreria3."','".$nombre."',
												 '".$monto."','".$responsable."','".$cc."','".$tipocaja."','".$cuenta."',
												 '".$tipodocumento."','".$valoritem."','".$locacion."','".$area."')"); 
				 if($sql_insert)
				   {
					 $mensaje="Se registro la tipo_caja";
					    ?>				  
						<script>
						cuteToast({
							  type: "success", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 4000
							})
						</script>
                       <?php

				   }	
				 else {
					$mensaje="Error al registrar los parametros";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 4000
							})
						</script>
                       <?php 
				}				
		 }
		 else 
		 { 
			$mensaje="Digite la Informacion Requerida";
			?>				  
			<script>
			cuteToast({
				  type: "warning", // or 'info', 'error', 'warning'
				  message: "<?php echo $mensaje; ?>",
				  timer: 4000
				})
			</script>
		   <?php
		}	 
	 }
	 
	 if($_REQUEST["omodificar"]==1)
	 { 
		if($aprobador1<>"" && $usuario1<>""  && $nombre<>"" && $locacion<>0 && $area<>0) 
		  {
				 
				  $sql_insert=mysqli_query($conexion,"update tipo_caja set 
														aprobador1='".$aprobador1."',
														aprobador2='".$aprobador2."',
														aprobador3='".$aprobador3."',
														usuarioa1='".$usuario1."',
														usuarioa2='".$usuario2."',
														usuarioa3='".$usuario3."',
														usuarioa1_email='".$email1."',
														usuarioa2_email='".$email2."',
														usuarioa3_email='".$email3."',
														notificar1='".$tesoreria1."',
														notificar2='".$tesoreria2."',
														notificar3='".$tesoreria3."',
														nombre='".$nombre."',
														monto='".$monto."',
														responsable='".$responsable."',
														cc='".$cc."',
														tipocaja='".$tipocaja."',
														cuenta='".$cuenta."',
														tipodocumento='".$tipodocumento."',
														valoritem='".$valoritem."',
														locacion='".$locacion."',
													    area='".$area."'
													 where id='".$id."' and empresa='".$vg_empresa."'"); 

				 if($sql_insert)
				   {
					$mensaje="Se modifico el registro";
					?>				  
					<script>
					cuteToast({
						  type: "success", // or 'info', 'error', 'warning'
						  message: "<?php echo $mensaje; ?>",
						  timer: 4000
						})
					</script>
				   <?php
				}	
				 else 
				  {
					$mensaje="Error al modificar el registro";
					?>				  
					<script>
					cuteToast({
						  type: "error", // or 'info', 'error', 'warning'
						  message: "<?php echo $mensaje; ?>",
						  timer: 4000
						})
					</script>
				   <?php
				}				
		 }
		 else 
		   {
			$mensaje="Digite la Informacion Requerida";
			?>				  
			<script>
			cuteToast({
				  type: "warning", // or 'info', 'error', 'warning'
				  message: "<?php echo $mensaje; ?>",
				  timer: 4000
				})
			</script>
		   <?php
		}	 
	 }
	 
	 
	 if($_REQUEST["onuevo"]==1)
	 {
			$empresa="";$aprobador1="";$aprobador2="";$aprobador3="";
			$usuario1="";	$usuario2="";	$usuario3="";
			$email1="";	$email2="";	$email3="";
			$tesoreria1="";	$tesoreria2="";	$tesoreria3="";$id="";$nombre="";
			$monto=""; $consecutivo=""; $responsable=""; $cc="";
			$tipocaja='1';$cuenta="";
				$comprobante="";$tipodocumento="";$valoritem="";$locacion=0;

	 }
	 
	  if($_REQUEST["obusca"]==1)
	 {
		  $sql_datosrs=mysqli_query($conexion,"SELECT 
				 									aprobador1,aprobador2,aprobador3,
													usuarioa1,usuarioa2,usuarioa3,
													usuarioa1_email,usuarioa2_email,usuarioa3_email,
													notificar1,notificar2,notificar3,empresa,nombre,monto,consecutivo,responsable,cc,tipocaja,cuenta,
													comprobante,tipodocumento,valoritem,locacion,area
  									   from tipo_caja
							where id='".$id."' and empresa='".$vg_empresa."'");
			  while($datos= mysqli_fetch_row($sql_datosrs))
				{ 
				 $aprobador1=$datos[0];
				 $aprobador2=$datos[1];
				 $aprobador3=$datos[2];
				 $usuario1=$datos[3];
				 $usuario2=$datos[4];
				 $usuario3=$datos[5];
				 $email1=$datos[6];
				 $email2=$datos[7];
				 $email3=$datos[8];
				 $tesoreria1=$datos[9];
				 $tesoreria2=$datos[10];
				 $tesoreria3=$datos[11];
				 $empresa=$datos[12];
				 $nombre=$datos[13];
				  //$monto=$datos[14];
				  $monto=number_format($datos[14],2,'.',','); 
				 //$consecutivo=$datos[15];
				 $responsable=$datos[16];
				 $cc=$datos[17];
				 $tipocaja=$datos[18];
				 $cuenta=$datos[19];		
				 //$comprobante=$datos[20];		
				 $tipodocumento=$datos[21];	
				 $valoritem=number_format($datos[22],2,'.',','); 
				 $locacion=$datos[23];
				 $area=$datos[24];	
				}
	 }


	
  }	 
?>
<form name="forsirco" method="post" action="" >
 <input name="id" type="hidden"  id="id"    value="<?php echo $id; ?>"  />
 <center>

    <div class="panel panel-primary" style='width:99%;'>
      <div class="panel-heading">TIPOS DE CAJA</div>
       <div align="center">
		<table width="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="-10" colspan="2"><table width="100%" border="0">
              <tbody>
                <tr>
                  <td width="20%"><span class="texto">Tipo caja</span></td>
                  <td width="34%"><select name="tipocaja"  id="tipocaja"
                            onfocus="this.style.background='#ccffff'" onblur="this.style.background='#FFFFDD'"
                            class="form-control" style="width: 50%" >
                    <option value="0"> </option>
                    <?php while ($rowba=mysqli_fetch_array($rs_tipodocumento))
									{
									 if ($tipocaja==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".$rowba['nombre']."-".$rowba['numero']."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".$rowba['nombre']."-".$rowba['numero']."</option>";}		
									}
							 ?> 
                  </select></td>
                  <td width="12%"><span class="texto">Codigo</span></td>
                  <td width="34%"><input name="id2" type="text"  id="id2"    value="<?php echo $id; ?>"              
              style="width: 100px" class="form-control"/></td>
                  </tr>
                </tbody>
            </table></td>
            <td width="12%"><span class="texto">Nombre</span></td>
            <td width="41%"><span class="texto">
              <input name="nombre" type="text"  id="nombre"    value="<?php echo $nombre; ?>" 
              style="width: 100%" class="form-control"/>
             
            </span></td>
          </tr>
          <tr>
            <td width="11%" height="-4"><span class="texto">Aprobador 1</span></td>
            <td width="36%">
			<select name="aprobador1"  id="aprobador1" onfocus="this.style.background='#D5EAFF'" 
						onblur="this.style.background='#ffffff'"  style="width: 100px; " class="form-control">
              <?php
				  if($aprobador1=="N"){echo "<option value='N' selected>N</option>";}
				  else {echo "<option value='N' >N</option>";}
				  if($aprobador1=="S"){echo "<option value='S' selected>S</option>";}
				  else {echo "<option value='S' >S</option>";}
				 
				?>
            </select>
			</td>
            <td width="12%"><span class="texto">Aprobador 2 </span></td>
            <td width="41%">
			<select name="aprobador2"  id="aprobador2" onfocus="this.style.background='#D5EAFF'" 
						onblur="this.style.background='#ffffff'"  style="width: 100px;" class="form-control">
              <?php
				  if($aprobador2=="N"){echo "<option value='N' selected>N</option>";}
				  else {echo "<option value='N' >N</option>";}
				  if($aprobador2=="S"){echo "<option value='S' selected>S</option>";}
				  else {echo "<option value='S' >S</option>";}
				 
				?>
            </select>
			</td>
          </tr>
          <tr>
            <td width="11%" height="-4"><span class="texto">Usuario 1 </span></td>
            <td>
          	  <input name="usuario1" type="text"  id="usuario1"    value="<?php echo $usuario1; ?>"              
            		 style="width: 200px" class="form-control"/>
             </td>
            <td width="12%"><span class="texto">Usuario 2 </span></td>
            <td width="41%">
			<input name="usuario2" type="text"  id="usuario2"    value="<?php echo $usuario2; ?>"              
            		 style="width: 200px" class="form-control"/>
			</td>
          </tr>
          <tr>
            <td width="11%" height="-5"><span class="texto">Email 1 </span></td>
            <td><input name="email1" type="text"  id="email1"    value="<?php echo $email1; ?>" 
              style="width: 100%" class="form-control"/></td>
            <td width="12%"><span class="texto">Email 2 </span></td>
            <td width="41%"><input name="email2" type="text"  id="email2"    value="<?php echo $email2; ?>" 
              style="width: 100%" class="form-control"/></td>
          </tr>
          <tr>
            <td width="11%" height="-2"><span class="texto">Aprobador 3 </span></td>
            <td>
			<select name="aprobador3"  id="aprobador3" onfocus="this.style.background='#D5EAFF'" 
						onblur="this.style.background='#ffffff'"  style="width: 100px;" class="form-control">
              <?php
				  if($aprobador3=="N"){echo "<option value='N' selected>N</option>";}
				  else {echo "<option value='N' >N</option>";}
				  if($aprobador3=="S"){echo "<option value='S' selected>S</option>";}
				  else {echo "<option value='S' >S</option>";}
				 
				?>
            </select>
			
			</td>
            <td width="12%"><span class="texto">Notificar </span></td>
            <td width="41%"><input name="tesoreria1" type="text"  id="tesoreria1"    value="<?php echo $tesoreria1; ?>" 
              style="width: 100%" class="form-control"/></td>
          </tr>
          <tr>
            <td width="11%" height="-2"><span class="texto">Usuario 3 </span></td>
            <td>
			<input name="usuario3" type="text"  id="usuario3"    value="<?php echo $usuario3; ?>"              
            		 style="width: 200px" class="form-control"/>
            </td>
            <td width="12%"><span class="texto">Notificar </span></td>
            <td width="41%"><input name="tesoreria2" type="text"  id="tesoreria2"    value="<?php echo $tesoreria2; ?>" 
              style="width: 100%" class="form-control"/></td>
          </tr>
          <tr>
            <td width="11%" height="-2"><span class="texto">Email 3 </span></td>
            <td><input name="email3" type="text"  id="email3"    value="<?php echo $email3; ?>" 
              style="width: 100%" class="form-control"/></td>
            <td width="12%"><span class="texto">Notificar </span></td>
            <td width="41%"><input name="tesoreria3" type="text"  id="tesoreria3"    value="<?php echo $tesoreria3; ?>" 
              style="width: 100%" class="form-control"/></td>
          </tr>
          <tr>
            <td height="1" align="left"><span class="texto">Monto</span></td>
            <td height="1" align="left"><input name="monto" type="text"  id="monto"    value="<?php echo $monto; ?>"              
            		 style="width: 200px" class="form-control" onkeypress='mascara(this,cpf)'/></td>
            <td height="1" align="left">&nbsp;</td>
            <td height="1" align="left">&nbsp;</td>
            <td height="1" align="center">&nbsp;</td>
          </tr>
          <tr>
            <td height="0" colspan="4" align="left"><table width="100%" border="0">
                <tbody>
                  <tr>
                    <td><span class="texto">Cuenta</span></td>
                    <td><input name="cuenta" type="text"  id="cuenta"    value="<?php echo $cuenta; ?>" 
              style="width: 100%" class="form-control"/></td>
                    <td align="center"><span class="texto">Responsable</span></td>
                    <td><input name="responsable" type="text"  id="responsable"    value="<?php echo $responsable; ?>" 
              style="width: 100%" class="form-control"/></td>
                    <td align="center"><span class="texto">C.C Responsable</span></td>
                    <td><input name="cc" type="text"  id="cc"    value="<?php echo $cc; ?>" 
              style="width: 100%" class="form-control"/></td>
                  </tr>
                </tbody>
            </table></td>
            <td height="1" rowspan="2" align="center">&nbsp;</td>
          </tr>
          <tr>
            <td height="1" colspan="4" align="left"><table width="100%" border="0">
              <tbody>
                <tr>
                  <td width="8%"><span class="texto">Valor Item</span></td>
                  <td width="20%"><input name="valoritem" type="text"  id="valoritem"    value="<?php echo $valoritem; ?>"              
            		 style="width: 200px" class="form-control" onkeypress='mascara(this,cpf)'/></td>
                  <td width="13%" align="center"><span class="texto">Locacion</span></td>
                  <td width="22%"><select name="locacion"  id="locacion"
                            onfocus="this.style.background='#ccffff'" onblur="this.style.background='#FFFFDD'"
                            class="form-control" style="width: 100%" >
                    <option value="0"> </option>
                    <?php while ($rowba=mysqli_fetch_array($rs_locacion))
									{
									 if ($locacion==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".$rowba['nombre']."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".$rowba['nombre']."</option>";}		
									}
							 ?>
                  </select></td>
                  <td width="16%" align="center">Area</td>
                  <td width="21%"><select name="area"  id="area"
                            onfocus="this.style.background='#ccffff'" onblur="this.style.background='#FFFFDD'"
                            class="form-control" style="width: 100%" >
                    <option value="0"> </option>
                    <?php while ($rowba=mysqli_fetch_array($rs_area))
									{
									 if ($area==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".$rowba['nombre']."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".$rowba['nombre']."</option>";}		
									}
							 ?>
                  </select></td>
                </tr>
              </tbody>
            </table></td>
          </tr>
          <tr>
            <td height="1" colspan="5" align="center"><span class="texto">
              <input name="nuevo" type="submit"  id="nuevo"  value="Nuevo"    onclick="onuevo.value=1;;" class="btn btn-primary" />
              <input name="buscar" type="submit"  id="buscar"  value="Buscar"   onclick="obusca.value=1;" class="btn btn-primary" />
              <input name="guardar" type="button"  id="guardar"  value="Guardar" 
			      onclick="return pregunta_guardar();" class="btn btn-primary" />
              <input name="modificar" type="button"  id="modificar"  value="Modificar" 
              onclick="return pregunta_modificar();" class="btn btn-primary" />
              <input type="hidden" name="oculto" />
              <input name="obusca" type="hidden" id="obusca" />
              <input name="oguardar" type="hidden" id="oguardar" />
              <input name="omodificar" type="hidden" id="omodificar" />
              <input name="onuevo" type="hidden" id="onuevo" />
              <input name="ousuario1" type="hidden" id="ousuario1" />
            </span></td>
          </tr>
        </table>
   </div>
 </div>
 </center>  



<SCRIPT type=text/javascript>

function pregunta_guardar(){ 
cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
			if(retorno_valida==false)
			   {document.forsirco.oguardar.value=0;
				return false;
				}
			else
			  { document.forsirco.oguardar.value=1; 
				document.forsirco.submit(); 
				return true;
			  }
	   } 
	  else {
		document.forsirco.oguardar.value=0;
		    return false; 
	  }
	})
} 



function pregunta_modificar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
			if(retorno_valida==false)
			   {document.forsirco.omodificar.value=0; 
				return false;
				}
			else
			  { document.forsirco.omodificar.value=1; 
				document.forsirco.submit(); 
				return true;
			  }
	   } 
	  else {
		document.forsirco.omodificar.value=0;
		    return false; 
	  }
	})
} 

function valida_campos()
{   var mensaje='';
	
		 if(document.forsirco.nombre.value!=''){}
		 else {mensaje=mensaje + 'Falta Digitar el nombre,';    }
		 if(document.forsirco.aprobador1.value!=''){}
		 else {mensaje=mensaje + 'Falta seleccionar aprobador 1,';    }
		 if(document.forsirco.usuario1.value!=''){}
		 else {mensaje=mensaje + 'Falta digitar usuario 1,';    }
		  if(document.forsirco.email1.value!=''){}
		 else {mensaje=mensaje + 'Falta digitar email 1,';    }
		 
		if(document.forsirco.nombre.value!='' && document.forsirco.aprobador1.value!='' &&
		document.forsirco.usuario1.value!='' && document.forsirco.email1.value!=''){return true;}
		else {
			   cuteAlert({
						  type: "error",
						  title: "SIRCO",
						  message: " Informacion Requerida: " + mensaje,
						  buttonText: "Ok"
						})
			  return false;
			 }

}

</script>

 
<?php
$c=0;
	echo "<center> <table border='1'  cellpadding='0' cellspacing='0' class='table table-hover' style='font-size:12; width:90%;' bordercolor='#cccccc'>";
	echo "<tr >";
	echo "<td class='btn-primary' align='center'>Codigo</td>";
	echo "<td class='btn-primary' align='center'>Tipo Caja</td>";
	echo "<td class='btn-primary' align='center'>Nombre</td>";
	echo "<td class='btn-primary' align='center'>Aprobador1</td>";
	echo "<td class='btn-primary' align='center'>Aprobador2</td>";	
	echo "<td class='btn-primary' align='center'>Aprobador3</td>";	
	echo "<td class='btn-primary' align='center'>Locacion</td>";	
	echo "<td class='btn-primary' align='center'>Area</td>";	
	echo "</tr>";	
	 $sql_datosrs=mysqli_query($conexion,"SELECT	aprobador1,aprobador2,aprobador3,
													usuarioa1,usuarioa2,usuarioa3,
													usuarioa1_email,usuarioa2_email,usuarioa3_email,
													notificar1,notificar2,notificar3,id, empresa,nombre,monto,consecutivo,responsable,cc,
													tipocaja,cuenta,locacion,area
  									   from tipo_caja where empresa='".$vg_empresa."'");
  while($datos= mysqli_fetch_row($sql_datosrs))
    { 
		 $aprobador1=$datos[0];
		 $aprobador2=$datos[1];
		 $aprobador3=$datos[2];
		 $usuario1=$datos[3];
		 $usuario2=$datos[4];
		 $usuario3=$datos[5];
		 $email1=$datos[6];
		 $email2=$datos[7];
		 $email3=$datos[8];
		 $tesoreria1=$datos[9];
		 $tesoreria2=$datos[10];
		 $tesoreria3=$datos[11];
		 $id=$datos[12];
		 $empresa=$datos[13];
		 $nombre=$datos[14];
		 $monto=$datos[15];
		 $consecutivo=$datos[16];
		 $responsable=$datos[17];
		 $cc=$datos[18];
		 $tipocaja=$datos[19];
		 $cuenta=$datos[20];
		$locacion=$datos[21];
		 $area=$datos[22];
		 $ncaja="";
		 $rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_tipodocumentos where id='".$tipocaja."'");
		  while($datostd= mysqli_fetch_row($rs_sql)) { $ncaja=$datostd[0];}
		  $nlocacion="";
        $rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_locacion where id='".$locacion."'");
        while($datostd= mysqli_fetch_row($rs_sql)) { $nlocacion=$datostd[0];}
       $narea="";
        $rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_area where id='".$area."'");
        while($datostd= mysqli_fetch_row($rs_sql)) { $narea=$datostd[0];}

		   echo " <tr>";
			 echo "<td><a href='frm_tipocaja.php?id=$id'>".$id."</a></td>";
			 echo "<td>".$ncaja."</td>";
			 echo "<td>".$nombre."</td>";
			 echo "<td>".$aprobador1." <br> $usuario1 <br> $email1</td>";
			 echo "<td>".$aprobador2." <br> $usuario2 <br> $email2</td>";
			 echo "<td>".$aprobador3." <br> $usuario3 <br> $email3</td>";
			 echo "<td>".$nlocacion."</td>";
			 echo "<td>".$narea."</td>";
		  echo "</tr>";
				$c=$c+1;
				
	 }
 echo "</table></center>"; 
	

?>

 
</form>
</body>
</html>    
